:root {
	--black-color: #000000;
	--white-color: #fff;
	--blue-color:#409eff;
	--blue-opacity-color: #245c96;
	--border-color: #e6e6e6;
	--border-color-dark: #d8d8d8;
/*	--main-bg-color: #f2f2f2;*/
	--main-bg-color: #e7eaf2;
	--border-radius: 4px;
	--red-color: #ff6262;
	--orange-color: #ff9800;
	--green-color: #cddc39;
}

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-family: 'roboto-regular';
	font-size: 16px;
	user-select: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 7px;
    border-radius: 4px;
}

::-webkit-scrollbar-track {
    width: 8px;
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #a1a1a1;
}

::-webkit-scrollbar-thumb:hover {
    background: #7a7979;
    cursor: pointer;
}

html, body {
	height: 100vh !important;
	width: 100vw !important;
}

.ht-100 {
	height: 100%;
}

.ht-100-imp {
	height: 100% !important;
}

.maxht-100 {
    max-height: 100%;
}

.minht-100 {
    min-height: 100%;
}

.ht-50 {
	height: 50%;
}

.maxht-50 {
	max-height: 50%;
}

.height-xxsmall
{
	height: 25px;
}

.height-xmsmall
{
	height: 50px;
}

.height-xlsmall
{
	height: 75px;
}

.height-xsmall
{
	height: 100px;
}

.height-small
{
	height: 200px;
}

.height-medium
{
	height: 300px;
}

.height-xMedium
{
	height: 340px;
}

.height-large
{
	height: 400px;
}

.height-xlarge
{
	height: 500px;
}

.height-fit-content {
	height: fit-content !important;
}

.min-height-xsmall
{
	min-height: 100px;
}

.min-height-small
{
	min-height: 200px;
}

.min-height-medium
{
	min-height: 300px;
}

.min-height-large
{
	min-height: 400px;
}

.min-height-xlarge
{
	min-height: 500px;
}

.max-height-xsmall
{
	max-height: 100px;
}

.max-height-small
{
	max-height: 200px;
}

.max-height-medium
{
	max-height: 300px;
}

.max-height-large
{
	max-height: 400px;
}

.max-height-xlarge
{
	max-height: 500px;
}

.wt-50 {
	width: 50%;
}

.wt-100 {
	width: 100%;
}

.wt-100-imp {
	width: 100% !important;
}

.maxwt-100 {
    max-width: 100%;
}

.minwt-100 {
    min-width: 100%;
}

.width-fit-content {
	width: fit-content !important;
}

.d-flex-imp {
	display: flex !important;
}

.d-flex {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
}

.flex-column {
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
}

.align-items-start {
	-webkit-box-align: flex-start;
	-ms-flex-align: flex-start;
	align-items: flex-start;
}

.align-items-end {
	-webkit-box-align: flex-end;
	-ms-flex-align: flex-end;
	align-items: flex-end;
}

.align-items-center {
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
}

.align-items-baseline {
	-webkit-box-align: baseline;
	-ms-flex-align: baseline;
	align-items: baseline;
}

.justify-content-center {
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
}

.justify-content-between {
	-webkit-box-pack: justify;
	-ms-flex-pack: justify;
	justify-content: space-between;
}

.justify-content-end {
	-webkit-box-pack: end;
	-ms-flex-pack: end;
	justify-content: end;
}

.justify-content-around {
	-ms-flex-pack: distribute;
	justify-content: space-around;
}

/* set 100% ht or wt */
.flex-1
{
	-webkit-box-flex: 1;
	-ms-flex: 1;
	flex: 1;
}

.flex-wrap
{
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
}

.flex-grow-1
{
	-webkit-box-flex: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
}

.flex-grow-0
{
	-webkit-box-flex: 0;
	-ms-flex-positive: 0;
	flex-grow: 0;
}

.flex-shrink-1
{
	-ms-flex-negative: 1;
	flex-shrink: 1;
}

.flex-shrink-0
{
	-ms-flex-negative: 0;
	flex-shrink: 0;
}

.custom-border-0 {
	border: 0px;
}

.truncate {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

/*.custom-border-t,
.custom-border,
.custom-border-y {
	border-top: solid 1px var(--border-color);
}

.custom-border-b,
.custom-border,
.custom-border-y {
	border-bottom: solid 1px var(--border-color);
}

.custom-border-r,
.custom-border,
.custom-border-x {
	border-right: solid 1px var(--border-color);
}

.custom-border-l,
.custom-border,
.custom-border-x {
	border-left: solid 1px var(--border-color);
}*/

.border-radius {
	border-radius: var(--border-radius);
}

.border-radius-8 {
  border-radius: 8px !important;
}

.border-radius-50 {
	border-radius: 50%;
}

.p-relative {
	position: relative;
}

.p-absolute {
	position: absolute;
}
.float-left {
    float: left;
  }
  .float-right {
    float: right;
  }

.p-fixed {
	position: fixed;
}

/* cursor css */
.cursor-pointer {
	cursor: pointer;
}

.cursor-not-allowed {
	cursor: not-allowed;
	opacity: .5;
}

.cursor-auto {
	cursor: auto;
}

.cursor-grab {
	cursor: grab;
	cursor: -webkit-grab;
}

.cursor-grabbing {
	cursor: grabbing;
	cursor: -webkit-grabbing;
}

.opacity-50 {
	opacity: .5;
}

/* Ripple Effect */
.ripple {
    position: absolute;
    width: 3px;
    height: 3px;
    transform: translate(-50%, -50%);
    background-color: #cfcdcdb3;
    border-radius: 50%;
    transform: scale(0);
    animation: ripple-animation 0.6s linear;
}
  
@keyframes ripple-animation {
    to {
        transform: scale(20);
        opacity: 0;
    }
}


/* all padding class */
.pl-0,
.px-0,
.p-0 {
	padding-left: 0 !important;
}

.pr-0,
.px-0,
.p-0 {
	padding-right: 0 !important;
}

.pt-0,
.py-0,
.p-0 {
	padding-top: 0;
}

.pb-0,
.py-0,
.p-0 {
	padding-bottom: 0;
}

.pl-10,
.px-10,
.p-10 {
	padding-left: 10px;
}

.pr-10,
.px-10,
.p-10 {
	padding-right: 10px;
}

.pt-10,
.py-10,
.p-10 {
	padding-top: 10px;
}

.pb-10,
.py-10,
.p-10 {
	padding-bottom: 10px;
}
.pt-5{
	padding-top:5px
}
/* all margin class */
.ml-0,
.mx-0,
.m-0 {
	margin-left: 0;
}

.mr-0,
.mx-0,
.m-0 {
	margin-right: 0;
}

.mt-0,
.my-0,
.m-0 {
	margin-top: 0;
}

.mb-0,
.my-0,
.m-0 {
	margin-bottom: 0;
}

.ml-auto,
.mx-auto
{
	margin-left: auto;
}

.mr-auto,
.mx-auto
{
	margin-right: auto;
}

.mt-auto,
.my-auto
{
	margin-top: auto;
}

.mb-auto,
.mb-auto
{
	margin-bottom: auto;
}

.mt-1, .my-1, .m-1
{
	margin-top: 1px !important;
}

.mt-10, .my-10, .m-10
{
	margin-top: 10px !important;
}

.mb-10, .my-10, .m-10
{
	margin-bottom: 10px;
}

.mr-10, .mx-10, .m-10
{
	margin-right: 10px;
}

.ml-10, .mx-10, .m-10
{
	margin-left: 10px;
}

/*overflow class*/
.overflow-auto {
	overflow: auto;
}

.overflow-hidden {
	overflow: hidden;
}
.overflow-x-hidden {
	overflow-x: hidden ;
}
.overflow-y-hidden {
	overflow-y: hidden ;
}

/* background color class */
.bg-main {
	background: var(--main-bg-color);
}

.bg-white {
	background: var(--white-color) !important;
}

.bg-black {
	background: var(--black-color) !important;
}

/*.custom-box-shadow
{
	box-shadow: 0px 0px 8px 1px #e0e0e0;
}*/

/*font related css*/
.text-ellipsis {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.text-left {
	text-align: left;
}

.text-right {
	text-align: right;
}

.text-center {
	text-align: center;
}

.border-top-0 {
	border-top: none !important;
}

.border-radius-0 {
	border-radius: 0px !important;
}

.pointer-events-none {
	pointer-events: none;
}

.display-block {
	display: block !important;
}

.display-none {
	display: none;
}

/* object fit */
.object-fit-cover
{
	object-fit: cover;
}

.object-fit-fill
{
	object-fit: fill;
}

.truncate {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}
.w-80{
	width: 80%;
}

/************* changed date picker css *************/

.el-picker-panel__body .el-date-picker__header span.el-date-picker__header-label,
.el-picker-panel__content table tbody tr th,
.el-picker-panel__content table tbody tr td div a.cell,
.el-picker-panel__content table tbody tr td a.cell,
.el-picker-panel__content table tbody tr td div span
{
	font-size: 0.75rem;	
}

/*.main-center-container
{
	width: calc(100% - 80px);
}*/



/************************** aspect ratio css *******************************/
.aspect-ratio-1-1
{
	aspect-ratio: 1 / 1;
}

.aspect-video {
    aspect-ratio: 16/9;
}

/************************* light gallery css ********************************/
.lg-backdrop
{
	z-index: 1501;
}

.lg-outer
{
	z-index: 1511;
}

.el-popover, .el-tooltip__popper, .el-notification, .el-picker-panel, .el-time-panel.el-popper
{
	z-index: 3500 !important;
}

.search-dropdown-popper {
	z-index: 3500 !important;
}

.common-icon-size{
	height: 22px;
	width: 22px;
}

.common-small-icon-size{
	height: 15px;
	width: 15px;
}

.rounded-2xl {
	border-radius: 16px;
}